*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
a{
    text-decoration: none;
}
 body{
    font-family: 'Bellefair', serif;
    width: 100%;
    height: 100%;
    background: url(./background.jpg);
    background-size: 100%;
    background-repeat: no-repeat;
    background-attachment: fixed;
}
header{
    display: grid;
    grid-template-rows: 4rem 1fr;
    grid-template-columns: 1fr 1fr 600px 1fr 1fr;
}
nav {
    grid-column: 1/6;
    background-color: #000;
    height: 4rem;
}
nav img {
    width: 3.2em;
    display: inline-block;
}
nav h2 {
    font-size: 2.8rem;
    color: #07889b;
    display: inline-block;
}
header section {
    grid-column: 2/5;
    clear: both;
}
form {
    padding: 1em 0;
    color: #fff;
    text-align: center;
    background-color: #101010;
    border-radius: 0 0 15px 15px;
    opacity: 0.8;
}
form.view{
    display: none;
}

form div {
    font-size: 1.5rem;
    padding: 1rem 0;
    font-weight: 500;
}

form input {
    height: 2rem;
    width: 35rem;
    text-align: center;
    border-radius: 5px;
}

form button {
    display: block;
    margin: 1rem auto;
    font-size: 1.8rem;
    font-family: 'Bellefair', serif;
    font-weight: 700;
    background-color: #fff;
    padding: 15px 48px;
    border: 2px solid #07889b;
    border-radius: 0.3em;
    color: #07889b;
}

form button:hover {
    background-color: #07889b;
    color: #fff;
}

.main{
    display: grid;
    grid-template-columns: 1fr 1fr 600px 1fr 1fr;
    grid-row-gap: 1em;
}

main{
    grid-column: 2/5;
    display: grid;

    grid-template-rows: 1fr;
    grid-row-gap: 1em;
}
section img{
    width:4em;
    padding:5px 10px;
    top:90%;
    right:3%;
    position: fixed;
}
footer{
    border-top:1px solid black;
    padding-top: 1em;
    grid-column: 3/4;
    text-align: center;
}

/* Dynamically added Data */

.bookmarkBlock{
    margin: 8px ;
    padding: 0.5em 2em;
    border-radius: 5px;
    background-color: rgba(220, 208, 192 , 0.8);
    transition: 0.2s;
    color: #000;
}
.bookmarkBlock:hover{
    background-color:#1e1e1e;
    color:white;
}
.forGrid{
    display: grid;
    grid-template-columns:70% 1fr 1fr;
}
.siteNames{
    grid-column: 1/2;
    display: inline-block;
    padding: 8px 0px;
    vertical-align: top;
}
.goButton, .deleteButton{
    border-radius: 5px;
    padding: 8px 0px;
    border: 1px solid transparent;

}
.goButton a, .deleteButton a{
    color: whitesmoke;
    display: block;
}
.goButton{
    margin-right:5px;
    text-align: center;
    background-color: #07889b;
    grid-column: 2/3;
    display: inline-block;
    vertical-align: top;
    /* float:left; */
}
.deleteButton{
    margin-left:5px;
    text-align: center;
    background-color: #c82333;
    border-color: #bd2130;
    grid-column: 3/4;
    display: inline-block;
    vertical-align: top;
    /* float:right; */
}
